edu.wpi.first.wpilibj.can

## Class CANStatus

- java.lang.Object
- - edu.wpi.first.wpilibj.can.CANStatus

-     public class CANStatus
      extends java.lang.Object

  Structure for holding the result of a CAN Status request.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `busOffCount` The CAN Bus off count.
    `double` | `percentBusUtilization` The utilization of the CAN Bus.
    `int` | `receiveErrorCount` The CAN Bus receive error count.
    `int` | `transmitErrorCount` The CAN Bus transmit error count.
    `int` | `txFullCount` The CAN Bus TX full count.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CANStatus()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setStatus(double percentBusUtilization, int busOffCount, int txFullCount, int receiveErrorCount, int transmitErrorCount)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### percentBusUtilization

          public double percentBusUtilization

      The utilization of the CAN Bus.

    - #### busOffCount

          public int busOffCount

      The CAN Bus off count.

    - #### txFullCount

          public int txFullCount

      The CAN Bus TX full count.

    - #### receiveErrorCount

          public int receiveErrorCount

      The CAN Bus receive error count.

    - #### transmitErrorCount

          public int transmitErrorCount

      The CAN Bus transmit error count.

  - ### Constructor Detail

    - #### CANStatus

          public CANStatus()

  - ### Method Detail

    - #### setStatus

          public void setStatus(double percentBusUtilization,
                                int busOffCount,
                                int txFullCount,
                                int receiveErrorCount,
                                int transmitErrorCount)